###############################################################################################################################
###############################################################################################################################
###############################################################################################################################

        # Python script for Figures in following paper (c) by W. Yao, L. Puts, K. Williams and D. Lenstra
        # as part of the work published in "An All-Optical Spiking Laser Neuron Integrated in Generic 
        # InP Photonic Circuit Technology" published in Optics Express
        # 
        # This work is licensed under a Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License.
        # 
        # You should have received a copy of the license along with this work. If not, see 
        # <https://creativecommons.org/licenses/by-nc-sa/4.0/>.
        
        # Eindhoven Univesity of Technology, Eindhoven, the Netherlands, May 2025
        
        # Contact: l.puts@tue.nl

###############################################################################################################################
###############################################################################################################################
###############################################################################################################################

import matplotlib.pyplot as plt

plt.rcParams["font.family"] = 'Times New Roman'
plt.rcParams['font.size'] = 12

current=[49.2,50.32,51.3]
times=[1.150,1.106,1.06]


fig=plt.figure(figsize=(4.5,3))
fig.patch.set_alpha(0)
plt.plot(current,times,'ko-')
plt.grid(True)
plt.xticks(current,['49.20', '50.32', '51.30'])
plt.xlabel(r'I$_\text{SOA}$ [mA]',fontsize=12)
plt.ylabel(r't$_\text{refr.}$ [ns]',fontsize=12)
plt.tight_layout()